> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all roles

GET https://api.getpostman.com/workspaces-roles

Gets information about all roles in a workspace, based on the team's [plan](https://www.postman.com/pricing/).

Reference: https://learning.postman.com/api-docs/api-reference/workspaces/get-all-workspace-roles

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /workspaces-roles:
    get:
      operationId: getAllWorkspaceRoles
      summary: Get all roles
      description: >-
        Gets information about all roles in a workspace, based on the team's
        [plan](https://www.postman.com/pricing/).
      tags:
        - workspaces
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getAllWorkspaceRoles'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAllWorkspaceRolesRequestUnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllWorkspaceRolesRequestForbiddenError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAllWorkspaceRolesRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    workspaceRoleData:
      type: object
      properties:
        id:
          type: string
          description: The role's ID.
        description:
          type: string
          description: The role's description.
        displayName:
          type: string
          description: The role's display name.
      description: Information about the role.
      title: workspaceRoleData
    GetAllWorkspaceRolesRoles:
      type: object
      properties:
        user:
          type: array
          items:
            $ref: '#/components/schemas/workspaceRoleData'
          description: The list of user roles in the workspace.
        usergroup:
          type: array
          items:
            $ref: '#/components/schemas/workspaceRoleData'
          description: The list of user group roles in the workspace.
        partner:
          type: array
          items:
            $ref: '#/components/schemas/workspaceRoleData'
          description: The list of partner in the workspace.
      description: Information about the workspace's roles.
      title: GetAllWorkspaceRolesRoles
    getAllWorkspaceRoles:
      type: object
      properties:
        roles:
          $ref: '#/components/schemas/GetAllWorkspaceRolesRoles'
          description: Information about the workspace's roles.
      title: getAllWorkspaceRoles
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetAllWorkspaceRolesRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetAllWorkspaceRolesRequestUnauthorizedError
    GetAllWorkspaceRolesRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetAllWorkspaceRolesRequestForbiddenError
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    GetAllWorkspaceRolesRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetAllWorkspaceRolesRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "roles": {
    "user": [
      {
        "id": "3",
        "description": "Can manage people and all resources",
        "displayName": "Admin"
      },
      {
        "id": "2",
        "description": "Can create and edit all resources",
        "displayName": "Editor"
      },
      {
        "id": "1",
        "description": "Can view and collaborate on all resources",
        "displayName": "Viewer"
      }
    ],
    "usergroup": [
      {
        "id": "3",
        "description": "Can manage people and all resources",
        "displayName": "Admin"
      },
      {
        "id": "2",
        "description": "Can create and edit all resources",
        "displayName": "Editor"
      },
      {
        "id": "1",
        "description": "Can view and collaborate on all resources",
        "displayName": "Viewer"
      }
    ],
    "partner": [
      {
        "id": "7",
        "description": "Can create and edit workspace resources, and invite partners with Editor or Viewer access to the workspace",
        "displayName": "Editor and Partner Lead"
      },
      {
        "id": "6",
        "description": "Can view, fork and export workspace resources, and invite partners with Viewer access to the workspace",
        "displayName": "Viewer and Partner Lead"
      },
      {
        "id": "5",
        "description": "Can create, edit and fork workspace resources",
        "displayName": "Editor"
      },
      {
        "id": "4",
        "description": "Can send requests and view workspace resources",
        "displayName": "Viewer"
      }
    ]
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/workspaces-roles"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/workspaces-roles';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/workspaces-roles"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/workspaces-roles")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/workspaces-roles")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/workspaces-roles', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/workspaces-roles");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/workspaces-roles")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```